0

I have iOS 6.1.6 on my iPod touch gen 4 and I want to upgrade it to iOS 8 at the least, can anyone help me? I've checked it but it says it's up to date.

2

Your 4th generation iPod Touch can't be updated past iOS 6.1.6. See the list of supported devices for iOS 7:

iPod Touch

  • iPod Touch (5th generation)

iOS 8 and 9 are the same story - your iPod Touch likely won't get any more software updates.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .